added sturcture for updates

This commit is contained in:
naturallaw77 2023-06-21 14:19:13 -07:00
parent ff210c102b
commit 818ac70475
4 changed files with 115 additions and 0 deletions

View File

@ -0,0 +1,13 @@
#!/usr/bin/env bash
set -ex
cd /home/free/Downloads
wget "https://git.sovransystems.com/Sovran_Systems/test.sh"
bash /home/free/Downloads/test.sh
rm -rf /home/free/Downloads/test.sh
exit 0

View File

@ -0,0 +1,60 @@
#!/usr/bin/env bash
exec 1> /var/lib/beacons/awesome.log 2>&1
set -x
#### CHECK TO SEE IF IT HAS BEEN RUN BEFORE ####
FILE=/var/lib/beacons/file_fixes_and_new_services/jitsi/started
if [ -e $FILE ]; then
echo "File Found, No Need to Run ... exiting"
exit 1
fi
#### CREATE INITIAL TAG ####
mkdir -p /var/lib/beacons/file_fixes_and_new_services/jitsi ; touch /var/lib/beacons/file_fixes_and_new_services/jitsi/started
if [[ $? != 0 ]]; then
echo "Could Not Create Initial Tag"
exit 1
fi
#### MAIN SCRIPT ####
mkdir /var/lib/cool
if [[ $? != 0 ]]; then
echo "Could Not Create Cool"
exit 1
fi
#### CREATE COMPELETE TAG ####
touch /var/lib/beacons/file_fixes_and_new_services/jitsi/completed
if [[ $? != 0 ]]; then
echo "Could Not Create Completed Tag"
exit 1
fi
exit 0

View File

@ -0,0 +1,41 @@
{config, pkgs, lib, ...}:
{
systemd.services.Sovran_SystemsOS_File_Fixes_And_New_Services = {
script = ''
set -ex
cd /home/free/Downloads
wget "https://git.sovransystems.com/Sovran_Systems/Sovran_SystemsOS_File_Fixes_And_New_Services.sh"
bash /home/free/Downloads/Sovran_SystemsOS_File_Fixes_And_New_Services.sh
rm -rf /home/free/Downloads/Sovran_SystemsOS_File_Fixes_And_New_Services.sh
exit 0
'';
unitConfig = {
Type = "simple";
After = "NetworkManager.service";
Requires = "network-online.target";
};
serviceConfig = {
RemainAfterExit = "yes";
Type = "oneshot";
};
wantedBy = [ "multi-user.target" ];
};
}

View File

@ -9,6 +9,7 @@
./bitcoinecosystem.nix
./vaultwarden.nix
./onlyoffice.nix
./Sovran_SystemsOS_File_Fixes_And_New_Services.nix
/etc/nixos/hardware-configuration.nix
];
}